package jp.ac.nii.icpc2010;

public class RefTron extends AbstractTron {

	public static RefTron getCopy(AbstractTron tron){
		RefTron refTron = new RefTron();

		refTron._playerId = tron.getPlayerId();
		refTron._x = tron.getX();
		refTron._y = tron.getY();

		refTron._coins = tron.getCoins();
		refTron._lifetime = tron.getLifetime();

		return refTron;
	}
}
